Finish passkey registration
POST
/auth/v1/users/current/passkeys/register/finishCompletes passkey registration by verifying the signed WebAuthn credential and storing it under the given name for the authenticated user.
Authorization
Bearer Authorization<token>
In: header
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.passkeyRegisterFinishBody",
"$ref-value": {
"properties": {
"credential": {
"items": {
"type": "integer"
},
"type": "array"
},
"name": {
"maxLength": 64,
"type": "string"
},
"session_id": {
"type": "string"
}
},
"required": [
"session_id"
],
"type": "object"
}
}Response Body
201application/json
Created
type: unknown
{
"$ref": "#/components/schemas/authv1.PasskeyRegisterFinishResponse",
"$ref-value": {
"properties": {
"name": {
"type": "string"
},
"passkey_id": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/auth/v1/users/current/passkeys/register/finish" \
-H "Content-Type: application/json" \
-d '{
"session_id": "string"
}'Created
application/json
{
"$ref": "#/components/schemas/authv1.PasskeyRegisterFinishResponse",
"$ref-value": {
"properties": {
"name": {
"type": "string"
},
"passkey_id": {
"type": "string"
}
},
"type": "object"
}
}